summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Guan-Zhong Huang <imprazaguy@gmail.com>2010-05-13 00:59:30 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-13 00:59:30 +0200
commitd3e1aa8a96374177e851e31e38278d8a8e38d366 (patch)
treed068bd8438e4f55b78e6668ebf4a2055b6f8f8fd /misc
parentd25248b7b834b00297a4e42df093637d1ee8b782 (diff)
downloadslackbuilds-d3e1aa8a96374177e851e31e38278d8a8e38d366.tar.gz
slackbuilds-d3e1aa8a96374177e851e31e38278d8a8e38d366.tar.xz
misc/scim-chewing: Added to 13.0 repository
Diffstat (limited to 'misc')
-rw-r--r--misc/scim-chewing/README4
-rw-r--r--misc/scim-chewing/scim-chewing.SlackBuild92
-rw-r--r--misc/scim-chewing/scim-chewing.info10
-rw-r--r--misc/scim-chewing/slack-desc19
4 files changed, 125 insertions, 0 deletions
diff --git a/misc/scim-chewing/README b/misc/scim-chewing/README
new file mode 100644
index 0000000000..c3a609469f
--- /dev/null
+++ b/misc/scim-chewing/README
@@ -0,0 +1,4 @@
+scim-chewing is New Chewing Engine for SCIM. New Chewing Input Method is
+a good Traditional Chinese intelligent phonetic input method.
+
+Requires:libchewing available at SlackBuilds.org.
diff --git a/misc/scim-chewing/scim-chewing.SlackBuild b/misc/scim-chewing/scim-chewing.SlackBuild
new file mode 100644
index 0000000000..3c64eae5b9
--- /dev/null
+++ b/misc/scim-chewing/scim-chewing.SlackBuild
@@ -0,0 +1,92 @@
+#!/bin/sh
+
+# Slackware build script for scim-chewing
+
+# Copyright 2009 Guan-Zhong Huang, Taiwan <imprazaguy@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=scim-chewing
+VERSION=${VERSION:-0.3.3}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+fi
+
+# Exit on most errors
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL NEWS README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
+
diff --git a/misc/scim-chewing/scim-chewing.info b/misc/scim-chewing/scim-chewing.info
new file mode 100644
index 0000000000..0307ea8943
--- /dev/null
+++ b/misc/scim-chewing/scim-chewing.info
@@ -0,0 +1,10 @@
+PRGNAM="scim-chewing"
+VERSION="0.3.3"
+HOMEPAGE="http://chewing.csie.net"
+DOWNLOAD="http://chewing.csie.net/download/scim/scim-chewing-0.3.3.tar.bz2"
+MD5SUM="3f17ccae3f20f42a33e464aeb06eb1cb"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Guan-Zhong Huang"
+EMAIL="imprazaguy@gmail.com"
+APPROVED="dsomero"
diff --git a/misc/scim-chewing/slack-desc b/misc/scim-chewing/slack-desc
new file mode 100644
index 0000000000..21be26c505
--- /dev/null
+++ b/misc/scim-chewing/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------|
+scim-chewing: scim-chewing (New Chewing IMEngine for SCIM)
+scim-chewing:
+scim-chewing: New Chewing Input Method is an Traditional Chinese intelligent
+scim-chewing: phonetic input method.
+scim-chewing: It requires libchewing installed first.
+scim-chewing:
+scim-chewing:
+scim-chewing:
+scim-chewing: Home Page: http://chewing.csie.net/
+scim-chewing:
+scim-chewing: